Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Expressions

    java.lang.Object
      org.apache.openjpa.persistence.criteria.Expressions

     class Expressions

extends Object

Expressions according to JPA 2.0. A facade to OpenJPA kernel expressions to enforce stronger typing.

Since:
  2.0.0
Author:
  Pinaki Poddar, Fay Wang

Nested Class Summary
`static class` | `Expressions.Abs<X>`
`static class` | `Expressions.All<X>`
`static class` | `Expressions.Any<X>`
`static class` | `Expressions.Avg`
`static class` | `Expressions.Between<Y extends Comparable<Y>>`
`static class` | `Expressions.BinarayFunctionalExpression<X>` Binary Functional Expression applies a binary function on a pair of input Expression.
`static class` | `Expressions.BinaryLogicalExpression` Binary Logical Expression applies a function on a pair of input Expression to generate a Predicate i.e.
`static class` | `Expressions.Case<T>`
`static class` | `Expressions.Cast<B>`
`static class` | `Expressions.CastAs<Y>`
`static class` | `Expressions.Coalesce<T>`
`static class` | `Expressions.Concat`
`static class` | `Expressions.Constant<X>`
`static class` | `Expressions.Count`
`static class` | `Expressions.CurrentDate`
`static class` | `Expressions.CurrentTime`
`static class` | `Expressions.CurrentTimestamp`
`static class` | `Expressions.DatabaseFunction<T>`
`static class` | `Expressions.Diff<N extends Number>`
`static class` | `Expressions.Equal`
`static class` | `Expressions.Exists<X>`
`static class` | `Expressions.FunctionalExpression<X>` Functional Expression applies a function on a list of input Expressions.
`static class` | `Expressions.GreaterThan`
`static class` | `Expressions.GreaterThanEqual`
`static class` | `Expressions.In<T>`
`static class` | `Expressions.Index`
`static class` | `Expressions.IsEmpty`
`static class` | `Expressions.IsMember<E>`
`static class` | `Expressions.IsNotEmpty`
`static class` | `Expressions.IsNotNull`
`static class` | `Expressions.IsNull`
`static class` | `Expressions.Length`
`static class` | `Expressions.LessThan`
`static class` | `Expressions.LessThanEqual`
`static class` | `Expressions.Like`
`static class` | `Expressions.ListArgument<T>` An expression that is composed of one or more expressions.
`static class` | `Expressions.Locate`
`static class` | `Expressions.Lower`
`static class` | `Expressions.Max<X>`
`static class` | `Expressions.Min<X>`
`static class` | `Expressions.Mod`
`static class` | `Expressions.Not`
`static class` | `Expressions.NotEqual`
`static class` | `Expressions.Nullif<T>`
`static class` | `Expressions.Product<N extends Number>`
`static class` | `Expressions.Quotient<N extends Number>`
`static class` | `Expressions.SimpleCase<C,R>`
`static class` | `Expressions.Size`
`static class` | `Expressions.Sqrt`
`static class` | `Expressions.SubqueryExpression<X>`
`static class` | `Expressions.SubqueryPredicate<X>`
`static class` | `Expressions.Substring`
`static class` | `Expressions.Sum<N extends Number>`
`static class` | `Expressions.Trim`
`static class` | `Expressions.Type<X extends Class>`
`static class` | `Expressions.UnaryFunctionalExpression<X>` Unary Functional Expression applies a unary function on a input operand Expression.
`static class` | `Expressions.Upper`

Field Summary
`(package private) static String` | `CLOSE_BRACE`
`(package private) static String` | `COMMA`
`(package private) static String` | `OPEN_BRACE`

Constructor Summary
`Expressions()`

Method Summary
`(package private) static void` | `acceptVisit(CriteriaExpressionVisitor visitor, CriteriaExpression parent, Expression<?>... exprs)` Visits the given expression and the given children recursively.
`(package private) static Expression` | `and(ExpressionFactory factory, Expression e1, Expression e2)`
`(package private) static StringBuilder` | `asValue(AliasContext q, Expression<?>[] exps, String connector)` Renders the given expressions as a list of values separated by the given connector.
`(package private) static StringBuilder` | `asValue(AliasContext q, Object... params)` Renders the given arguments as a list of values separated by the given connector.
`(package private) static
`<X> List<X>`
` | `returnCopy(List<X> list)` Return a list that is either empty (if the given list is null) or a list whose mutation do not impact the original list.
`(package private) static
`<X> Set<X>`
` | `returnCopy(Set<X> set)` Return a set that is either empty (if the given set is null) or a set whose mutation do not impact the original list.
`(package private) static void` | `setImplicitTypes(Value v1, Value v2, Class<?> expected, CriteriaQueryImpl<?> q)`
`(package private) static Value` | `toValue(ExpressionImpl<?> e, ExpressionFactory factory, CriteriaQueryImpl<?> q)` Convert the given Criteria expression to a corresponding kernel value using the given ExpressionFactory.
`(package private) static void` | `visitChildren(CriteriaExpressionVisitor visitor, Expression<?>... exprs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_BRACE

    static final String OPEN_BRACE

See Also:
  Constant Field Values

### CLOSE_BRACE

    static final String CLOSE_BRACE

See Also:
  Constant Field Values

### COMMA

    static final String COMMA

See Also:
  Constant Field Values

Constructor Detail

### Expressions

    Expressions()

Method Detail

### toValue

    static Value toValue(ExpressionImpl<?> e,
                         ExpressionFactory factory,
                         CriteriaQueryImpl<?> q)

  Convert the given Criteria expression to a corresponding kernel value using the given ExpressionFactory. Handles null expression.

### setImplicitTypes

    static void setImplicitTypes(Value v1,
                                 Value v2,
                                 Class<?> expected,
                                 CriteriaQueryImpl<?> q)

### acceptVisit

    static void acceptVisit(CriteriaExpressionVisitor visitor,
                            CriteriaExpression parent,
                            Expression<?>... exprs)

  Visits the given expression and the given children recursively. The order of traversal depends on the parent and is determined by the visitor.

### visitChildren

    static void visitChildren(CriteriaExpressionVisitor visitor,
                              Expression<?>... exprs)

### asValue

    static StringBuilder asValue(AliasContext q,
                                 Expression<?>[] exps,
                                 String connector)

  Renders the given expressions as a list of values separated by the given connector.

### asValue

    static StringBuilder asValue(AliasContext q,
                                 Object... params)

  Renders the given arguments as a list of values separated by the given connector.

### returnCopy

    static <X> List<X> returnCopy(List<X> list)

  Return a list that is either empty (if the given list is null) or a list whose mutation do not impact the original list.

### returnCopy

    static <X> Set<X> returnCopy(Set<X> set)

  Return a set that is either empty (if the given set is null) or a set whose mutation do not impact the original list.

### and

    static Expression and(ExpressionFactory factory,
                          Expression e1,
                          Expression e2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.